body, html {
    margin: 0;
    padding: 0;
}

body {
    background-image: url(../Imagenes/Space.jpg);
    color: #3A3A3A;
    font-family: "Poppins", Sans-serif;
    letter-spacing: 1px;
    margin: 0;
    padding: 0;
    background-color: var(--color-background);
    animation: moverArriba 300s linear infinite; /* Animación para mover el fondo hacia arriba */
 }

 .background-container {
     background-image: url('../Imagenes/Establecimiento/Snacks.jpg');
     background-size: cover;
     background-attachment: fixed;
     background-repeat: no-repeat;
     opacity: 0.5; /* Ajusta la opacidad solo para el fondo */
     position: fixed; /* Fija el contenedor en la pantalla */
     top: 0;
     left: 0;
     width: 100%;
     height: 100%;
     z-index: -1; /* Coloca el contenedor detrás del contenido */
 }

.video-container {
    position: relative;
    width: 100%;
    min-height: 50vh; /* Mínimo 100% de la altura de la ventana */
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.6); /* Fondo semitransparente */
}

video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto; /* Ajusta la altura proporcionalmente al ancho */
    z-index: -1; /* Coloca el video detrás del contenido */
}

.overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    text-align: center;
    padding: 20px;
}

h1 {
    font-size: 36px;
    margin-bottom: 10px;
}

p {
    font-size: 18px;
}

.navbar-menu.active {
    display: flex !important;
}


/* Animación de entrada */
@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Estilos para la sección de información */
.info-section {
    display: flex;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center;
    padding: 40px 20px;
}
.info-image {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
}

.info-content {
    color: #fff;
    flex: 1;
    padding-left: 20px;
    animation: fadeInLeft 1s ease-in-out; /* Animación */
}

.info-content h2 {
    font-size: 3em;
    margin-bottom: 10px;
}
h2{
  margin: 0px;
}

.info-content p {
    font-size: 16px;
    line-height: 1.5;
}



/* Animación de entrada */
@keyframes fadeInLeft {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

/* Estilos para las tarjetas */
.cards-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px;
}

.card {
    background-color: #f5f5f5;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    margin: 10px;
    padding: 20px;
    width: 250px;
}


.card-content h3 {
    font-size: 26px;
    margin: 10px 0;
}

.card-content p {
    font-size: 20px;
    color: #666;
}


/* Estilos para los contenedores de Lottie */
.lottie-container {
    margin: 0 auto;
}

/* Estilos para la sección dividida */
.split-section {
    display: flex;
    align-items: center;
    padding: 0px 20px;
}

.text-side {
    flex: 1;
    text-align: center;
}

.animated-text {
    font-size: 3em;
    animation: fadeInLeft 1s ease-in-out; /* Animación */
    /* background: linear-gradient(81.84deg, #0000ff -9.4%, #0088ff 51.57%, #00aaff 84.07%, #00bbff 90.59%); */
    -webkit-background-clip: text;
    color: #EEEEEE;
    letter-spacing: -1px;
    text-align: center;
}

.image-side {
    flex: 1;
    text-align: left;
}

.image-side img {
    max-width: 100%;
    height: auto;
    border-radius: 8px;
    animation: fadeInRight 1s ease-in-out; /* Animación */
}

/* Animación de entrada desde la izquierda */
@keyframes fadeInLeft {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

/* Animación de entrada desde la derecha */
@keyframes fadeInRight {
    0% {
        opacity: 0;
        transform: translateX(20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

/*Animacion tarjetas*/
/*
    ** All elements border-box
*/
*,
*:before,
*::after {
  box-sizing: border-box;
}

.container {
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
}

h1 {
  font-size: 4rem;
  margin-top: 0;
  margin-bottom: 80px;
}

h1 span {
  color: #17B6D2;
}

p {
  margin: 0;
}

.cards-grid {
  display: flex;
  padding-bottom: 60px;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

/* FLIP CARD */
.flip-card {
  margin: 10px;
  width: 250px;
  height: 250px;
}
.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
  border-radius: 28px;
  transition: all 550ms cubic-bezier(0.1, 0.22, 0.8, 1.13);
  transform-style: preserve-3d;
}
.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 28px;
  backface-visibility: hidden;
}
.flip-card-front {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.flip-card-back {
  font-size: 1.25rem;
  text-align: center;
  display: grid;
  place-items: center;
  padding: 5px;
  background-color: #FFFFFF;
  transform: rotateY(180deg);
}
.flip-card:hover .flip-card-inner {
    box-shadow: 1px 1px #00ff99, 6px 6px #00ff99, 3px 3px #00ff99;
    transform: translateX(-3px);;
}
